org.keycloak.partialimport

## Class PartialImportResult

- java.lang.Object
- - org.keycloak.partialimport.PartialImportResult

-     public class PartialImportResult
      extends Object

  This class represents a single result for a resource imported.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartialImportResult` | `added(ResourceType resourceType, String resourceName, String id, Object representation)`
    `Action` | `getAction()`
    `String` | `getId()`
    `Object` | `getRepresentation()`
    `String` | `getResourceName()`
    `ResourceType` | `getResourceType()`
    `static PartialImportResult` | `overwritten(ResourceType resourceType, String resourceName, String id, Object representation)`
    `void` | `setAction(Action action)`
    `void` | `setId(String id)`
    `void` | `setResourceName(String resourceName)`
    `void` | `setResourceType(ResourceType resourceType)`
    `static PartialImportResult` | `skipped(ResourceType resourceType, String resourceName, String id, Object representation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### skipped

          public static PartialImportResult skipped(ResourceType resourceType,
                                                    String resourceName,
                                                    String id,
                                                    Object representation)

    - #### added

          public static PartialImportResult added(ResourceType resourceType,
                                                  String resourceName,
                                                  String id,
                                                  Object representation)

    - #### overwritten

          public static PartialImportResult overwritten(ResourceType resourceType,
                                                        String resourceName,
                                                        String id,
                                                        Object representation)

    - #### getAction

          public Action getAction()

    - #### setAction

          public void setAction(Action action)

    - #### getResourceType

          public ResourceType getResourceType()

    - #### setResourceType

          public void setResourceType(ResourceType resourceType)

    - #### getResourceName

          public String getResourceName()

    - #### setResourceName

          public void setResourceName(String resourceName)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRepresentation

          public Object getRepresentation()

Copyright © 2021 JBoss by Red Hat. All rights reserved.